Search
Close this search box.
Search
Close this search box.

What smartphones does the Truma App run on?

The Truma App needs iOS 11 or Android 6.0 or higher.

The Truma App does run on smartphones with older operating systems, but possibly not as smoothly.

Download the Truma App now from the App Store or Google Play.